CREATE TABLE hwm_data_sources_b (
    DATA_SOURCE_ID           NUMBER(18, 0) ,
    DATA_SOURCE_CODE         VARCHAR2(320)     NOT NULL,
    EXECUTABLE_CODE          VARCHAR2(320)     NOT NULL,
    IMPLEMENTATION_TYPE      VARCHAR2(120)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    MODULE_ID                VARCHAR2(128) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    SGUID                    VARCHAR2(128) ,
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    DATA_SOURCE_ID           NUMBER(18, 0) ,
    DATA_SOURCE_CODE         VARCHAR2(320)     NOT NULL,
    EXECUTABLE_CODE          VARCHAR2(320)     NOT NULL,
    IMPLEMENTATION_TYPE      VARCHAR2(120)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    MODULE_ID                VARCHAR2(128) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    SGUID                    VARCHAR2(128) ,
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_hwm_data_sources_b PRIMARY KEY (DATA_SOURCE_ID, DATA_SOURCE_ID)
);
